Subject: Re: [net-next v4 10/12] ASoC: SOF: Introduce descriptors for SOF client

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 1 Jul 2020 20:32:50 -0300

On Wed, Jul 01, 2020 at 10:50:49AM +0100, Mark Brown wrote:
> On Tue, Jun 30, 2020 at 02:27:10PM -0300, Jason Gunthorpe wrote:
> 
> > I wonder if SW_MFD might me more apt though? Based on Mark's remarks
> > current MFD is 'hw' MFD where the created platform_devices expect a
> > MMIO pass through, while this is a MFD a device-specific SW
> > interfacing layer.
> 
> Another part of this is that there's not a clean cut over between MMIO
> and not using any hardware resources at all - for example a device might
> be connected over I2C but use resources to distribute interrupts to
> subdevices.

How does the subdevice do anything if it only received an interrupt?

That sounds rather more like virtual bus's use case..

Jason